Cannot access mercurial repositories
Status: Resolved Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 5.0.2

Description

I have a running but old redmine configuration using sqlite3 as database:

FreeBSD9.1, Redmine 2.8.9, Ruby 2.1.8, Rails 3.2.22.1, thin 1.6.4, Mercurial 3.7.2, Sqlite 3.10.2

I migrated to a different system:

FreeBSD13.1, Redmine 5.0.2, Ruby 3.0.4, Rails 6.1.6, thin 1.8.1, Mercurial 6.1.4, Sqlite 3.39.2

After copying attachments and the database file and running db:migrate without errors all looks good,

with one exception:

I cannot access any existing or cloned Mercurial repository in either an existing or a new project.

Redmine always responds with 'The entry or revision was not found in the repository'.

History

#1 - 2022-09-09 16:38 - Norbert Koch

This is from production.log:

hg: error during getting info: hg exited with non-zero status: 255

#2 - 2022-09-10 16:42 - Norbert Koch

Seems to be related to this #33784

#3 - 2022-09-10 17:27 - Norbert Koch

Python 3.9

#4 - 2022-09-10 21:11 - Norbert Koch

- File redminehelper.py.patch added

- File redminehelper.py added

- Status changed from New to Resolved

I've run 2to3.9 over redminehelper.py from redmine 5.0.2 and then applied the patch from #33784 with some manual work. This works for me afaics,

but I did not yet test it in all details.

#5 - 2022-09-10 22:48 - Norbert Koch

Some problems remaining in detail view.

#6 - 2022-09-11 12:42 - Norbert Koch

- File redminehelper.py.patch added

- File redminehelper.py added

more testing & corrections

#7 - 2022-09-13 09:01 - Michael Ssssssno

2025-05-02 1/2

https://www.redmine.org/issues/33784
https://www.redmine.org/issues/33784


thank you

With this it seems to work for me too (on ubuntu 22.04 server with redmine 5.0.2 and mercurial 6.1.1).

I could not run the patch but I just copied your file redminehelper.py into the directory lib/redmine/scm/adapters/mercurial/

#8 - 2022-09-20 12:30 - Michael Ssssssno

I had another small problem with one of the reprositories (1 of 20)

The apache error message when accessing the repositry page in redmine was:

App 24173 output: UnicodeDecodeError: 'utf-8' codec can't decode byte 0xfc in position 23: invalid start byte

After the hint here

https://stackoverflow.com/questions/19699367/for-line-in-results-in-unicodedecodeerror-utf-8-codec-cant-decode-byte

I replaced 'utf-8' in the redminehelper.py file with 'ISO-8859-1' and everything worked (including the previous repos).

Files

redminehelper.py 8.68 KB 2022-09-10 Norbert Koch

redminehelper.py.patch 10.8 KB 2022-09-10 Norbert Koch

redminehelper.py.patch 11 KB 2022-09-11 Norbert Koch

redminehelper.py 8.69 KB 2022-09-11 Norbert Koch

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

https://stackoverflow.com/questions/19699367/for-line-in-results-in-unicodedecodeerror-utf-8-codec-cant-decode-byte
http://www.tcpdf.org

